ST_MinimumClearanceLine
Prev | 8.12. Measurement Functions | Next

## Name

ST_MinimumClearanceLine — Returns the two-point LineString spanning a geometry's minimum clearance.

## Synopsis

`Geometry ST_MinimumClearanceLine(`geometry g`)`;

## Description

Returns the two-point LineString spanning a geometry's minimum clearance. If the geometry does not have a minimum clearance, `LINESTRING EMPTY` is returned.

Performed by the GEOS module.

Availability: 2.3.0 - requires GEOS >= 3.6.0

## Examples

    SELECT ST_AsText(ST_MinimumClearanceLine('POLYGON ((0 0, 1 0, 1 1, 0.5 3.2e-4, 0 0))'));
    -------------------------------
    LINESTRING(0.5 0.00032,0.5 0)

## See Also

ST_MinimumClearance

Prev | Up | Next
ST_MinimumClearance | Home | ST_Perimeter